aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2021-08-27 16:02:57 +0200
committerFlorian Dold <florian@dold.me>2021-08-27 16:02:57 +0200
commitb2c110858d7f8b405af3e73b85f28c23037913a9 (patch)
tree2b9057545a3162c16b4945335ccd74da431459b4
parentde12114e7852050723e143c8e9e0ae2c64a3e65b (diff)
downloadmerchant-b2c110858d7f8b405af3e73b85f28c23037913a9.tar.gz
merchant-b2c110858d7f8b405af3e73b85f28c23037913a9.tar.bz2
merchant-b2c110858d7f8b405af3e73b85f28c23037913a9.zip
more workarounds
-rw-r--r--debian/taler-merchant.postrm15
-rw-r--r--debian/taler-merchant.preinst6
2 files changed, 5 insertions, 16 deletions
diff --git a/debian/taler-merchant.postrm b/debian/taler-merchant.postrm
index ad11e5bc..bf628b36 100644
--- a/debian/taler-merchant.postrm
+++ b/debian/taler-merchant.postrm
@@ -13,19 +13,4 @@ fi
#DEBHELPER#
-if [ -f /usr/share/debconf/confmodule ]; then
- db_stop
-fi
-
-# When purging this package after the selections in the preinst have been made,
-# the debconf database is left in an inconsistent state and the package cannot
-# be installed again. This happens because dbconf-common will create a
-# template for these questions with a shared owner. Purging will only delete
-# one of the two templates, leading to a DB state where debconf-set-selections
-# fails. We work around this by manually fixing up the debconf database.
-# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487300
-if [ -x /usr/share/debconf/fix_db.pl ]; then
- /usr/share/debconf/fix_db.pl
-fi
-
exit 0
diff --git a/debian/taler-merchant.preinst b/debian/taler-merchant.preinst
index d1f67d88..dda68f09 100644
--- a/debian/taler-merchant.preinst
+++ b/debian/taler-merchant.preinst
@@ -13,9 +13,13 @@ set -e
# template for these questions with a shared owner. Purging will only delete
# one of the two templates, leading to a DB state where debconf-set-selections
# fails. We work around this by manually fixing up the debconf database.
+#
+# Unfortunately we can't do this in "postrm", because during "postrm"
+# the configuration database is locked (even after db_stop).
+#
# https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=487300
if [ -x /usr/share/debconf/fix_db.pl ]; then
- /usr/share/debconf/fix_db.pl
+ /usr/share/debconf/fix_db.pl || true
fi
echo taler-merchant taler-merchant/pgsql/method select Unix socket | debconf-set-selections